### Method

# Gtk DirectoryListset_io_priority

#### Declaration [src]

    void
    gtk_directory_list_set_io_priority (
      GtkDirectoryList* self,
      int io_priority
    )

#### Description [src]

Sets the IO priority to use while loading directories.

Setting the priority while `self` is loading will reprioritize the ongoing load as soon as possible.

The default IO priority is `G_PRIORITY_DEFAULT`, which is higher than the GTK redraw priority. If you are loading a lot of directories in parallel, lowering it to something like `G_PRIORITY_DEFAULT_IDLE` may increase responsiveness.

Sets property | `Gtk.DirectoryList:io-priority`

#### Parameters

`io_priority`

  Type: `int`

  IO priority to use.